src/MainBundle/Entity/Document.php
<?php

namespace MainBundle\Entity;

use Doctrine\ORM\Mapping as ORM;
use Symfony\Component\HttpFoundation\File\UploadedFile;
use Symfony\Component\Validator\Constraints as Assert;

/**
 * Document
 *
 * @ORM\Table(name="document")
 * @ORM\Entity(repositoryClass="MainBundle\Entity\DocumentRepository")
 * @ORM\HasLifecycleCallbacks
 */
class Document {

    /**
     * @var int
     *
     * @ORM\Column(name="id", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $id;

    /**
     * @var string
     *
     * @ORM\Column(name="url", type="string", length=255, nullable=true)
     */
    private $url;

    /**
     * @var string
     *
     * @ORM\Column(name="alt", type="string", length=255, nullable=true)
     */
    private $alt;

    /**
     * @Assert\File(
     *      maxSize="10M",
     *      maxSizeMessage = "Le fichier choisi est trop grand"
     * )
     */
    public $file;
    public $tempFilename;

    public function setFile(UploadedFile $file) {
        $this->file = $file;
        if (null !== $this->url) {
            $this->tempFilename = $this->url;
            $this->url = null;
        }
    }

    /**
     * @ORM\PrePersist()
     * @ORM\PreUpdate()
     */
    public function preUpload() {
        if (null === $this->file) {
            return;
        }
        $this->url = $this->file->guessExtension();
        $this->alt = $this->file->getClientOriginalName();
    }

    /**
     * @ORM\PostPersist()
     * @ORM\PostUpdate()
     */
    public function upload() {
        if (null === $this->file) {
            return;
        }
        if (null !== $this->tempFilename) {
            $oldFile = $this->getUploadRootDir() . '/' . $this->id . '.' . $this->tempFilename;
            if (file_exists($oldFile)) {
                unlink($oldFile);
            }
        }
        $this->file->move($this->getUploadRootDir(), $this->id . '.' . $this->url);
    }

    /**
     * @ORM\PreRemove()
     */
    public function preRemoveUpload() {
        $this->tempFilename = $this->getUploadRootDir() . '/' . $this->id . '.' . $this->url;
    }

    /**
     * @ORM\PostRemove()
     */
    public function removeUpload() {
        if (file_exists($this->tempFilename)) {
            unlink($this->tempFilename);
        }
    }

    public function getUploadDir() {
        return 'uploads/document';
    }

    protected function getUploadRootDir() {
        return __DIR__ . '/../../../web/' . $this->getUploadDir();
    }

    public function getWebPath() {
        return $this->getUploadDir() . '/' . $this->getId() . '.' . $this->getUrl();
    }

    public function getImageSize() {
        return getimagesize($this->getWebPath());
    }

    /**
     * Get id
     *
     * @return int
     */
    public function getId() {
        return $this->id;
    }


    /**
     * Set url
     *
     * @param string $url
     *
     * @return Document
     */
    public function setUrl($url)
    {
        $this->url = $url;

        return $this;
    }

    /**
     * Get url
     *
     * @return string
     */
    public function getUrl()
    {
        return $this->url;
    }

    /**
     * Set alt
     *
     * @param string $alt
     *
     * @return Document
     */
    public function setAlt($alt)
    {
        $this->alt = $alt;

        return $this;
    }

    /**
     * Get alt
     *
     * @return string
     */
    public function getAlt()
    {
        return $this->alt;
    }
}

src/MainBundle/Form/ProjetType.php
<?php

namespace MainBundle\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

class ProjetType extends AbstractType {

    /**
     * @param FormBuilderInterface $builder
     * @param array $options
     */
    public function buildForm(FormBuilderInterface $builder, array $options) {
        $builder
                ->add('categorie', 'entity', array(
                    'placeholder' => '* Choisir une catégorie',
                    'required' => true,
                    'label' => ' ',
                    'class' => "MainBundle:Categorie",
                    'choice_label' => "libelle",
                    'attr' => array(
                        'class' => 'form-control',
                        'placeholder' => '* Choisir une catégorie'
                    )
                ))
                ->add('titre', 'text', array(
                    'label' => ' ',
                    'attr' => array(
                        'placeholder' => '* Titre de votre projet',
                        'class' => 'form-control'
                    )
                ))
                ->add('description', 'textarea', array(
                    'label' => ' ',
                    'attr' => array(
                        'placeholder' => '* Description de votre projet',
                        'class' => 'form-control',
                        'rows' => 10
                    )
                ))
                ->add('lienYoutube', 'url', array(
                    'required' => false,
                    'label' => ' ',
                    'attr' => array(
                        'placeholder' => 'Lien Youtube de votre projet',
                        'class' => 'form-control'
                    )
                ))
                ->add('lienSoundcloud', 'url', array(
                    'required' => false,
                    'label' => ' ',
                    'attr' => array(
                        'placeholder' => 'Lien Sound cloud de votre projet',
                        'class' => 'form-control'
                    )
                ))
                ->add('objectifFinancier', 'integer', array(
                    'label' => ' ',
                    'attr' => array(
                        'placeholder' => '* Objectif financier en F CFA',
                        'class' => 'form-control'
                    )
                ))
                ->add('butDuFinancement', 'textarea', array(
                    'label' => ' ',
                    'attr' => array(
                        'placeholder' => '* A quoi va servir ce financement',
                        'class' => 'form-control',
                        'rows' => 5
                    )
                ))
                ->add('photo', new DocumentType(), array(
                    'label' => ' ',
                    'attr' => array(
                        'style' => 'display: none'
                    )
                ))

        ;
    }

    /**
     * @param OptionsResolver $resolver
     */
    public function configureOptions(OptionsResolver $resolver) {
        $resolver->setDefaults(array(
            'data_class' => 'MainBundle\Entity\Projet'
        ));
    }

    /**
     * @return string
     */
    public function getName() {
        return 'mainbundle_projet';
    }

}

src/MainBundle/Controller/ProjetController.php
<?php

namespace MainBundle\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use MainBundle\Entity\Projet;
use MainBundle\Entity\Soutenir;
use MainBundle\Entity\ASoutenu;
use MainBundle\Entity\ContrepartieProjet;
use MainBundle\Form\ProjetType;
use MainBundle\Gpay\Gpay;

class ProjetController extends Controller {

  public function payerAction(Request $request, $code, $type) {
    $currentUser = $this->get('security.token_storage')->getToken()->getUser();
    $em = $this->getDoctrine()->getManager();
    $telephone = $request->get('telephone');
    $montant = $request->get('montant');
    $anonyme = $request->get('anonyme');
    $contrepartie = $request->get('contrepartie');
    $projet = $em->getRepository('MainBundle:Projet')->findOneByCode($code);

    $soutient = new ASoutenu();
    $soutient->setFan($currentUser)
    ->setMontant($montant)
    ->setProjet($projet)
    ->setTelephone($telephone)
    ->setAnonyme(($anonyme == 'oui') ? true : false)
    ->setContrepartie(($contrepartie == 'oui') ? true : false);
    $em->persist($soutient);
    $em->flush();
    //$this->get('session')->getFlashBag()->add('info', 'Votre transaction a réussi. Veuillez la confirmer');
    return $this->render('MainBundle:Projet:executerCodeUssd.html.twig', array(
      'projet' => $projet
    ));
  }

  public function confirmationPaiementAction(Request $request, $code) {
    $em = $this->getDoctrine()->getManager();
    $currentUser = $this->get('security.token_storage')->getToken()->getUser();
    $projet = $em->getRepository('MainBundle:Projet')->findOneByCode($code);
    $uac = $request->get('uac');
    $authCode = $request->get('authcode');
    $soutient = $em->getRepository('MainBundle:ASoutenu')
    ->findOneBy(array(
      'projet' => $projet,
      'fan' => $currentUser,
      'authCode' => $authCode
    ));
    $gpay = new Gpay();
    if ($gpay->charge($uac, $authCode)) {
      $soutient->setTransactionId($gpay->getTransaction_id())
      ->setTransactionConfirmer(true)
      ->setTransactionReussie(true);
      $em->flush();
      $this->get('session')->getFlashBag()->add('success', 'Votre transaction a été bien effectuée. Merci d\'avoir soutenu ce projet');
      return $this->redirect($this->generateUrl('main_detail_projet', array(
        'code' => $code
      )));
    } else {
      $this->get('session')->getFlashBag()->add('error', $gpay->getErrorCode() . ' : ' . $gpay->getErrorDescription());
      return $this->redirect($this->generateUrl('main_soutenir_projet', array(
        'code' => $code
      )));
    }
  }

  public function deleteAction($code) {
    $em = $this->getDoctrine()->getManager();
    $projet = $em->getRepository('MainBundle:Projet')->findOneByCode($code);
    $em->remove($projet);
    $em->flush();
    $this->get('session')->getFlashBag()->add('success', 'Votre projet a été supprimé avec succès');
    return $this->redirect($this->generateUrl('main_artiste_project'));
  }

  public function editAction($code) {
    $em = $this->getDoctrine()->getManager();
    $request = $this->get('request');
    $contrepartieFans = $em->getRepository('MainBundle:ContrepartieFan')->findAll();
    $projet = $em->getRepository('MainBundle:Projet')->findOneByCode($code);
    if ($projet && !$projet->getValider()) {
      $form = $this->createForm(new ProjetType(), $projet);
      $form->handleRequest($request);

      if ($request->getMethod() == 'POST') {
        if ($form->isValid()) {
          $em->persist($projet);
          $em->flush();

          foreach ($projet->getContrepartieProjets() as $c) {
            $contrepartie = $em->getRepository('MainBundle:ContrepartieProjet')->find($c->getId());
            $contrepartie->setDescription(($request->get('cpdescription-' . $c->getId())) ? $request->get('cpdescription-' . $c->getId()) : $c->getDescription())
            ->setLibelle(($request->get('cplibelle-' . $c->getId())) ? $request->get('cplibelle-' . $c->getId()) : $c->getLibelle())
            ->setMontant($c->getMontant());
            $em->persist($contrepartie);
            $em->flush();
          }

          $this->get('session')->getFlashBag()->add('success', 'Votre projet a été modifié avec succès et est toujours en cours de validation');
          return $this->redirect($this->generateUrl('main_artiste_project'));
        }
      }

      $this->get('session')->getFlashBag()->add('info', 'Vous pouvez toujours modifier tant que ce n\'est pas encore validé');
      return $this->render('MainBundle:Projet:edit.html.twig', array(
        'form' => $form->createView(),
        'contrepartieFans' => $contrepartieFans,
        'projet' => $projet
      ));
    } else {
      $this->get('session')->getFlashBag()->add('warning', 'Votre projet a étét déjà validé. Une fois valider vous ne pouvez plus le modifier');
      return $this->redirect($this->generateUrl('main_artiste_project'));
    }
  }

  public function addAction() {
    $currentUser = $this->get('security.token_storage')->getToken()->getUser();
    $request = Request::createFromGlobals();
    $em = $this->getDoctrine()->getManager();
    $contrepartieFans = $em->getRepository('MainBundle:ContrepartieFan')->findAll();
    $newProjet = new Projet();
    $form = $this->createForm(new ProjetType(), $newProjet);
    $form->handleRequest($request);

    if ($request->getMethod() == 'POST') {
      if ($form->isValid()) {
        $newProjet->setArtiste($currentUser);
        $em->persist($newProjet);
        $em->flush();

        foreach ($contrepartieFans as $c) {
          $newContrepartie = new ContrepartieProjet();
          $newContrepartie->setDescription(($request->get('cpdescription-' . $c->getId())) ? $request->get('cpdescription-' . $c->getId()) : $c->getDescription())
          ->setLibelle(($request->get('cplibelle-' . $c->getId())) ? $request->get('cplibelle-' . $c->getId()) : $c->getLibelle())
          ->setMontant($c->getMontant())
          ->setProjet($newProjet);
          $em->persist($newContrepartie);
          $em->flush();
        }

        $this->get('session')->getFlashBag()->add('success', 'Votre projet a été créé avec succès et est en cours de validation');
        return $this->redirect($this->generateUrl('main_artiste_project'));
      }
    }
    return $this->render('MainBundle:Projet:add.html.twig', array(
      'form' => $form->createView(),
      'contrepartieFans' => $contrepartieFans
    ));
  }

  public function detailAction($code) {
    $em = $this->getDoctrine()->getManager();
    $parameter = $em->getRepository('MainBundle:Parameter')->find(1);
    $projet = $em->getRepository('MainBundle:Projet')->findOneByCode($code);
    if($projet){
      $contrepartieFans = $em->getRepository('MainBundle:ContrepartieFan')->findAll();
      return $this->render('MainBundle:Projet:detail.html.twig', array(
        'projet' => $projet,
        'contrepartieFans' => $contrepartieFans,
        'parameter' => $parameter
      ));
    }else{
      throw $this->createNotFoundException('La projet que vous cherchez n\'existe pas');
    }
  }

  public function soutenirAction($code) {
    $currentUser = $this->get('security.token_storage')->getToken()->getUser();
    $em = $this->getDoctrine()->getManager();
    $projet = $em->getRepository('MainBundle:Projet')->findOneByCode($code);
    $contrepartieFans = $em->getRepository('MainBundle:ContrepartieFan')->findAll();
    $newSoutien = new Soutenir();
    $newSoutien->setFan($currentUser)
    ->setProjet($projet);
    $em->persist($newSoutien);
    $em->flush();
    return $this->render('MainBundle:Projet:soutenir.html.twig', array(
      'projet' => $projet,
      'contrepartieFans' => $contrepartieFans
    ));
  }

  public function aSoutenuAction(Request $request) {
    $em = $this->getDoctrine()->getManager();
    $response = new Response();
    $response->headers->add(array('Access-Control-Allow-Origin' => '*'));
    $fan = $em->getRepository('UserBundle:User')->findOneByTelephone($request->get('telephone'));
    if ($fan) {
      $dernierProjetConsulter = $em->getRepository('MainBundle:Soutenir')
      ->createQueryBuilder('s')
      ->leftJoin('s.fan', 'f')
      ->where('f.id = :idFan')
      ->orderBy('s.date', 'DESC')
      ->setParameter('idFan', $fan->getId())
      ->setFirstResult(0)
      ->setMaxResults(1)
      ->getQuery()
      ->getResult();

      $aSoutenu = new ASoutenu();
      $aSoutenu->setFan($fan)
      ->setMontant($request->get('montant'))
      ->setProjet(($dernierProjetConsulter) ? $dernierProjetConsulter[0]->getProjet() : null);
      $em->persist($aSoutenu);
      $em->flush();
    } else {
      $aSoutenu = new ASoutenu();
      $aSoutenu->setMontant($request->get('montant'))
      ->setTelephone($request->get('telephone'));
      $em->persist($aSoutenu);
      $em->flush();
    }
    $response->setContent("SUCCESS");
    return $response;
  }

  public function decouvrirAction() {
    $em = $this->getDoctrine()->getManager();
    $parameter = $em->getRepository('MainBundle:Parameter')->find(1);
    $created = new \DateTime(date('Y-m-d H:i:s', strtotime('-' . $parameter->getDureeVieProjet() . ' day')));
    $projets = $em->getRepository('MainBundle:Projet')
    ->createQueryBuilder('p')
    ->where('p.date >= :created')
    ->andWhere('p.valider = :true')
    ->setParameter('created', $created)
    ->setParameter('true', true)
    ->orderBy('p.date', 'DESC')
    ->setFirstResult(0)
    ->setMaxResults(16)
    ->getQuery()
    ->getResult();
    return $this->render('MainBundle:Projet:decouvrir.html.twig', array(
      'projets' => $projets,
      'parameter' => $parameter
    ));
  }

  public function decouvrirAutreAction(Request $request) {
    $page = $request->get('page');
    $em = $this->getDoctrine()->getManager();
    $parameter = $em->getRepository('MainBundle:Parameter')->find(1);

src/MainBundle/Resources/views/Projet/confirmPaiement.html.twig
{% extends '::base.html.twig'%}
{% block body %}
<div class="container">
  <div class="row">
    <div class="col-sm-12">
      <h2 style="text-align: center; font-family: RobotoThin">Confirmation paiement</h2>
    </div>
  </div>
  <div class="row" style="margin-bottom: 50px; margin-top: 50px">
    <div class="col-sm-3"></div>
    <div class="col-sm-6">

    </div>
    <div class="col-sm-3"></div>
  </div>
</div>
{%endblock%}
{%block javascripts%}
{{parent()}}

{%endblock javascripts%}

src/MainBundle/Resources/views/Projet/decouvrir.html.twig
{% extends '::base.html.twig'%}

{%block body%}
    <div class="container" style="margin-top: 40px; margin-bottom: 40px">
        <div class="row" id="projet_container">
            {%for p in projets%}
                <div class="col-sm-12 col-md-4 col-lg-3">
                    <div class="projet-container">
                        <div style="height: 37px; padding: 10px">
                            <div style="float: left"><i class="glyphicon glyphicon-map-marker"></i> {{p.artiste.pays|country(app.request.locale)}}</div>
                            <div style="float: right">- <a style="color: black" href="{{path('main_projet_categorie', {'id': p.categorie.id})}}">{{p.categorie.libelle}}</a></div>
                        </div>
                        <div style="clear: both"></div>

                        <a href="{{path('main_detail_projet', {'code':p.code})}}" style="color: white;" class="project-link">
                            <div style="height: 130px; background-image: url('{{asset(p.photo.webPath)}}'); background-size: cover">
                                <div class="project-img-link" style="height: 100%; width: 100%; padding: 60px;">
                                    <p style="font-family: RobotoRegular; text-transform: uppercase; text-align: center">{{p.artiste.nomArtiste}}</p>
                                </div>
                            </div>
                        </a>
                        {%set sommeRecolte = 0%}
                        {%for a in p.aSoutenus%}
                            {%set sommeRecolte = sommeRecolte + a.montant%}
                        {%endfor%}
                        <div class="progress" style="border-radius: 0px; margin-bottom: 5px">
                            <div class="progress-bar progress-bar-warning" role="progressbar" aria-valuenow="{{(100*(sommeRecolte/p.objectifFinancier))|round}}" aria-valuemin="0" aria-valuemax="100" style="width: {{(100*(sommeRecolte/p.objectifFinancier))|round}}%; text-align: right; color: black; font-family: RobotoRegular">
                                {{(100*(sommeRecolte/p.objectifFinancier))|round}}%
                            </div>
                        </div>
                        <div style="height: 25px; padding: 5px">
                            <p style="margin-bottom: 0px; text-align: center"><span style="font-family: RobotoRegular">{{p.titre|slice(0,100)}}</span></p>
                        </div>
                        <div style="height: 100px; padding: 5px; margin-bottom: 10px">
                            <p style="font-size: 14px;">
                                {{p.description|slice(0, 150)}} {%if p.description|length<150%}...{%endif%}
                                <br/>
                                <a href="{{path('main_detail_projet', {'code':p.code})}}">Lire la suite</a>
                            </p>
                        </div>
                        <div style="border-top: 1px solid #ccc">
                            <div style="padding: 10px; text-align: center; float: left; height: 50px; border-right: 1px solid #ccc; width: 50%">
                                <div style="font-weight: bold">{{sommeRecolte|number_format(0, ',', ' ')}} F</div>
                                <div style="font-size: 12px">Collectés</div>
                            </div>
                            <div style="padding: 10px; text-align: center; float: right; height: 50px; width: 50%">
                                {% set difference = date(p.date|date_modify("+"~parameter.dureeVieProjet~" day")).diff(date('now'|date('Y-m-d H:i:s'))) %}
                                {% set leftDays = difference.days %}
                                <div style="font-weight: bold">{{ leftDays }} J</div>
                                <div style="font-size: 12px">Restant{% if leftDays > 1 %}s{% endif %}</div>
                            </div>
                            <div style="clear: both"></div>
                        </div>
                        <div style="height: 15px; text-align: center">
                            <a href="{{path('main_detail_projet', {'code': p.code})}}" class="btn btn-default" style="background: #fa9d0b; border: none; border-radius: 0px; font-weight: bold">SOUTENIR</a>
                        </div>
                    </div>
                </div>
            {%endfor%}
        </div>
        <div class="row" style="margin-top: 50px; display: none" id="loader_decouvrir_autre_projet">
            <div class="col-sm-12">
                <p style="text-align: center"><img style="height: 80px" src="{{asset('bundles/kifzik/img/infinity.gif')}}"/></p>
            </div>
        </div>
    </div>
{%endblock%}
{% block javascripts %}
    {{parent()}}
    <script type="text/javascript" src="{{asset('bundles/kifzik/js/decouvrirAutreProjet.js')}}"></script>
{% endblock %}

src/MainBundle/Resources/views/Projet/decouvrirAutre.html.twig
{%for p in projets%}
    <div class="col-sm-12 col-md-4 col-lg-3">
        <div class="projet-container">
            <div style="height: 37px; padding: 10px">
                <div style="float: left"><i class="glyphicon glyphicon-map-marker"></i> {{p.artiste.pays|country(app.request.locale)}}</div>
                <div style="float: right">- <a style="color: black" href="{{path('main_projet_categorie', {'id': p.categorie.id})}}">{{p.categorie.libelle}}</a></div>
            </div>
            <div style="clear: both"></div>

            <a href="{{path('main_detail_projet', {'code':p.code})}}" style="color: white;" class="project-link">
                <div style="height: 130px; background-image: url('{{asset(p.photo.webPath)}}'); background-size: cover">
                    <div class="project-img-link" style="height: 100%; width: 100%; padding: 60px;">
                        <p style="font-family: RobotoRegular; text-transform: uppercase; text-align: center">{{p.artiste.nomArtiste}}</p>
                    </div>
                </div>
            </a>
            {%set sommeRecolte = 0%}
            {%for a in p.aSoutenus%}
                {%set sommeRecolte = sommeRecolte + a.montant%}
            {%endfor%}
            <div class="progress" style="border-radius: 0px; margin-bottom: 5px">
                <div class="progress-bar progress-bar-warning" role="progressbar" aria-valuenow="{{(100*(sommeRecolte/p.objectifFinancier))|round}}" aria-valuemin="0" aria-valuemax="100" style="width: {{(100*(sommeRecolte/p.objectifFinancier))|round}}%; text-align: right; color: black; font-family: RobotoRegular">
                    {{(100*(sommeRecolte/p.objectifFinancier))|round}}%
                </div>
            </div>
            <div style="height: 25px; padding: 5px">
                <p style="margin-bottom: 0px; text-align: center"><span style="font-family: RobotoRegular">{{p.titre}}</span></p>
            </div>
            <div style="height: 100px; padding: 5px; margin-bottom: 10px">
                <p style="font-size: 14px;">
                    {{p.description|slice(0, 150)}} {%if p.description|length<150%}...{%endif%}
                    <br/>
                    <a href="{{path('main_detail_projet', {'code':p.code})}}">Lire la suite</a>
                </p>
            </div>
            <div style="border-top: 1px solid #ccc">
                <div style="padding: 10px; text-align: center; float: left; height: 50px; border-right: 1px solid #ccc; width: 50%">
                    <div style="font-weight: bold">{{sommeRecolte|number_format(0, ',', ' ')}} F</div>
                    <div style="font-size: 12px">Collectés</div>
                </div>
                <div style="padding: 10px; text-align: center; float: right; height: 50px; width: 50%">
                    {% set difference = date(p.date|date_modify("+"~parameter.dureeVieProjet~" day")).diff(date('now'|date('Y-m-d H:i:s'))) %}
                    {% set leftDays = difference.days %}
                    <div style="font-weight: bold">{{ leftDays }} J</div>
                    <div style="font-size: 12px">Restant{% if leftDays > 1 %}s{% endif %}</div>
                </div>
                <div style="clear: both"></div>
            </div>
            <div style="height: 15px; text-align: center">
                <a href="{{path('main_detail_projet', {'code': p.code})}}" class="btn btn-default" style="background: #fa9d0b; border: none; border-radius: 0px; font-weight: bold">SOUTENIR</a>
            </div>
        </div>
    </div>
{%endfor%}

src/MainBundle/Resources/views/Projet/meskifs.html.twig
{% extends '::base.html.twig'%}

{%block body%}
    <div class="container" style="margin-top: 40px">
        <div class="row">
            <div class="col-sm-12"><h3>Mes Kifs</h3></div>
        </div>
        <div class="row">
            {%if projets|length>0%}
                {%for p in projets%}
                    <div class="col-sm-12 col-md-4 col-lg-3">
                        <div class="projet-container">
                            <div style="height: 37px; padding: 10px">
                                <div style="float: left"><i class="glyphicon glyphicon-map-marker"></i> {{p.projet.artiste.pays|country(app.request.locale)}}</div>
                                <div style="float: right">- <a style="color: black" href="{{path('main_projet_categorie', {'id': p.projet.categorie.id})}}">{{p.projet.categorie.libelle}}</a></div>
                            </div>
                            <div style="clear: both"></div>

                            <a href="{{path('main_detail_projet', {'code':p.projet.code})}}" style="color: white;" class="project-link">
                                <div style="height: 130px; background-image: url('{{asset(p.projet.photo.webPath)}}'); background-size: cover">
                                    <div class="project-img-link" style="height: 100%; width: 100%; padding: 60px;">
                                        <p style="font-family: RobotoRegular; text-transform: uppercase; text-align: center">{{p.projet.artiste.nomArtiste}}</p>
                                    </div>
                                </div>
                            </a>
                            {%set sommeRecolte = 0%}
                            {%for a in p.projet.aSoutenus%}
                                {%set sommeRecolte = sommeRecolte + a.montant%}
                            {%endfor%}
                            <div class="progress" style="border-radius: 0px; margin-bottom: 5px">
                                <div class="progress-bar progress-bar-warning" role="progressbar" aria-valuenow="{{(100*(sommeRecolte/p.projet.objectifFinancier))|round}}" aria-valuemin="0" aria-valuemax="100" style="width: {{(100*(sommeRecolte/p.projet.objectifFinancier))|round}}%; text-align: right; color: black; font-family: RobotoRegular">
                                    {{(100*(sommeRecolte/p.projet.objectifFinancier))|round}}%
                                </div>
                            </div>
                            <div style="height: 25px; padding: 5px">
                                <p style="margin-bottom: 0px; text-align: center"><span style="font-family: RobotoRegular">{{p.projet.titre}}</span></p>
                            </div>
                            <div style="height: 100px; padding: 5px; margin-bottom: 10px">
                                <p style="font-size: 14px;">
                                    {{p.projet.description|slice(0, 150)}} {%if p.projet.description|length<150%}...{%endif%}
                                    <br/>
                                    <a href="{{path('main_detail_projet', {'code':p.projet.code})}}">Lire la suite</a>
                                </p>
                            </div>
                            <div style="border-top: 1px solid #ccc">
                                <div style="padding: 10px; text-align: center; float: left; height: 50px; border-right: 1px solid #ccc; width: 50%">
                                    <div style="font-weight: bold">{{sommeRecolte|number_format(0, ',', ' ')}} F</div>
                                    <div style="font-size: 12px">Collectés</div>
                                </div>
                                <div style="padding: 10px; text-align: center; float: right; height: 50px; width: 50%">
                                    {% set difference = date(p.projet.date|date_modify("+"~parameter.dureeVieProjet~" day")).diff(date('now'|date('Y-m-d H:i:s'))) %}
                                    {% set leftDays = difference.days %}
                                    <div style="font-weight: bold">{{ leftDays }} J</div>
                                    <div style="font-size: 12px">Restant{% if leftDays > 1 %}s{% endif %}</div>
                                </div>
                                <div style="clear: both"></div>
                            </div>
                            <div style="height: 15px; text-align: center">
                                <a href="{{path('main_detail_projet', {'code': p.projet.code})}}" class="btn btn-default" style="background: #fa9d0b; border: none; border-radius: 0px; font-weight: bold">SOUTENIR</a>
                            </div>
                        </div>
                    </div>
                {%endfor%}
            {%else%}
                <br/>
                <p style="text-align: center; font-size: 1.2em">
                    Vous n'avez pas encore soutenu de projet.<br/>
                    <a href='{{path('main_decouvrir_projet')}}' class="btn btn-default kifzik-ok-btn">Découvrir les projets</a>
                </p>
            {%endif%}
        </div>
        <div class="row" style="margin-top: 50px; display: none" id="loader_decouvrir_autre_projet">
            <div class="col-sm-12">
                <p style="text-align: center"><img style="height: 80px" src="{{asset('bundles/kifzik/img/infinity.gif')}}"/></p>
            </div>
        </div>
    </div>
{%endblock%}